
 <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Sending Out Checklist
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
      <form [formGroup]="filterForm" (ngSubmit)="onSubmit()" class="form-inline" role="form">
        <label for="fromDate" class="mb-2 mr-sm-2">From Date:</label>
        <input 
          type="date" 
          class="form-control mb-2 mr-sm-2" 
          formControlName="fromDate">
        <label for="toDate" class="mb-2 mr-sm-2">To Date:</label>
        <input 
          type="date" 
          class="form-control mb-2 mr-sm-2"
          formControlName="toDate">
        <label for="batteryNum" class="mb-2 mr-sm-2">Battery:</label>
        <input 
         type="text" 
         class="form-control mb-2 mr-sm-2"
         formControlName="batteryNum"
         placeholder="Enter Battery Number">
            
        <button type="submit" class="btn btn-primary mb-2">Search</button>
      </form>
    </div>

    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
		<table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped table-bordered row-border hover">
          <thead>
            <tr>
              <th *ngFor="let header of tableHeaders">{{ header }}</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let checklist of checklistInfo">
              <td>
				<a href="javascript:void(0)" title="Click to view details" (click)="showModalConfirmation(content,checklist._id)">{{ checklist.batteryNum }}</a>
              </td>
              <td>{{ checklist.lspId }}</td>
              <td>{{ checklist.checkedBy }}</td>
              <td>{{ checklist.loggedAt | date:'medium' }}</td>
            </tr>
          </tbody>
        </table>
    </div>
   </div>
 </div>  

<!-- Modal starts here -->
<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Checklist Details</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="box-body box-profile" id="pofile_container">
        <ul class="list-group list-group-unbordered" *ngIf="modaldata">
          <li class="list-group-item">
            <b>LSP</b><p class="pull-right">{{ modaldata.lspId }}</p>
          </li>
          <li class="list-group-item">
            <b>Driver</b> <p class="pull-right">{{ (modaldata.driverId=="-1")?"NA":modaldata.driverId }}</p>
          </li>
          <li class="list-group-item">
            <b>Battery Number</b> <p class="pull-right">{{ modaldata.batteryNum }}</p>
          </li>
          <li class="list-group-item">
            <b>Image</b><p class="pull-right">
              <img 
                src="{{ modaldata.imageUrl }}"
                (click)="zoomImage(modaldata.imageUrl)" 
                class="h60"
                alt="Battery Image"
                title="Click to zoom"
                *ngIf="modaldata.imageUrl;else emptyStr">
            </p>
          </li>
          <li class="list-group-item">
            <b>Data Logger</b> <p class="pull-right">{{ modaldata.dataLoggerId }}</p>
          </li>
          <li class="list-group-item">
            <b>BMS Type</b> <p class="pull-right" >{{ (modaldata.bmsType==1)?"WBMS":"BMS NQ" }}</p>
          </li>
          <li class="list-group-item">
            <b>BMS Number</b> <p class="pull-right" >{{ modaldata.bmsNumber }}</p>
          </li>
          <li class="list-group-item">
            <b>Data Logger Hardware Version</b> <p class="pull-right">{{ modaldata.dlPcbNumber }}</p>
          </li>
          <li class="list-group-item">
            <b>Data Logger Software Version</b> <p class="pull-right">{{ modaldata.dlCodeVersion }}</p>
          </li>

          <li class="list-group-item">
            <b>SIM Serial Number</b> <p class="pull-right">{{ modaldata.simSerialNum }}</p>
          </li>
          <li class="list-group-item">
            <b>Dry Switch</b> <p class="pull-right" >{{ modaldata.switch }}</p>
          </li>
          <li class="list-group-item">
            <b>SD Card Installed</b> <p class="pull-right" >{{ modaldata.sdCard ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Charger Authentication</b> <p class="pull-right" >{{ modaldata.chargerAuthentication ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>NTC</b> <p class="pull-right" >{{ modaldata.ntc ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Cell Holder</b> <p class="pull-right" >{{ modaldata.cellHolder ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Coin Cell</b> <p class="pull-right" >{{ modaldata.coinCell ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>GSM Working</b> <p class="pull-right" >{{ modaldata.gsmWorking ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>GPS Coordinates</b> <p class="pull-right" >{{ modaldata.gpsCoordinates }}</p>
          </li>
          <li class="list-group-item">
            <b>Spacer on BMS/DL</b> <p class="pull-right" >{{ modaldata.spaccer ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Remote ON/OFF Tested(2 Times)</b> <p class="pull-right" >{{ modaldata.remoteTested ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>DL Contact Number</b> <p class="pull-right" >{{ modaldata.dlContactNum }}</p>
          </li>
          <li class="list-group-item">
            <b>Glued</b> <p class="pull-right" >{{ modaldata.glued ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Terminal Checked</b> <p class="pull-right" >{{ modaldata.terminalCheck ? "Yes":"No" }}</p>
          </li>

         <li class="list-group-item">
            <b>BMS Sense Wire Connector</b> <p class="pull-right" >{{ modaldata.bmsSenseWireConnector }}</p>
          </li>
          <li class="list-group-item">
            <b>BMS EEPROM Parameters Updated</b> <p class="pull-right">{{ modaldata.bmsEeprom ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>BMS MCU Parameters Updated</b> <p class="pull-right" >{{ modaldata.bmsMcu ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>SOC Working</b> <p class="pull-right" >{{ modaldata.socWorking ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Battery LID Aligned with GSM/GPS Antennae</b><p class="pull-right" >{{ modaldata.batteryLidAlign ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Smart Lock</b> <p class="pull-right" >{{ modaldata.smartLock ? "Yes":"No" }}</p>
          </li>
          <li class="list-group-item">
            <b>Location</b> <p class="pull-right" >{{ modaldata.location }}</p>
          </li>
          <li class="list-group-item">
            <b>Checked By</b> <p class="pull-right">{{ modaldata.checkedBy }}</p>
          </li>
        </ul>
    </div>
  </div>
  <ng-template #emptyStr>
          <td>{{ 'NA' }}</td> 
  </ng-template>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger" (click)="c(REASON_CANCEL)">Cancel</button> </div>

</ng-template>